Forum Stats

  • 3,770,298 Users
  • 2,253,091 Discussions
  • 7,875,395 Comments

Discussions

package com.sun.deploy.util does not exist, failed to import com.sun.deploy.util.VersionID;

847027
847027 Member Posts: 4
edited Sep 9, 2014 12:54PM in Java 8 Questions

Java 1.6 JRE contains deploy.jar, which provides the VersionID class. However, Java 1.8u5 does not have it anymore.

I cannot find any log w.r.t the change.

Can anyone please point out whether the absence is deliberate or just an accident? If deliberate, what is the replacement of VersionID in Java 8?

Many Thanks

2613342

Answers